
Figure - Bug #118237
Bug # 118127 (CLOSED): 【IOVDEV-29509】副屏】【0100】【台架】【monkey】monkey测试出现类似黑屏，屏幕冻屏触摸无效

IOVDEV-29509】副屏】【0100】【台架】【monkey】monkey测试出现类似黑屏，屏幕冻屏触摸无效, 出现大
量优酷与audioservice异常
2023-05-25 17:53 - CD FW 曹覃刚

Status: CLOSED Start date: 2023-05-25

Priority: High Due date: 2023-06-05

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 在优酷调用drm时返回

Description

环境信息】EE环境

【monkey时间】：11小时

【前提条件】：

1.副屏上电

2.台架环境完整

3.monkey前网络时间声音均正常

【操作步骤】

1.执行monkey脚本

【实际结果】

1.副屏界面黑，有背光，显示触摸轨迹和顶部坐标，monkey已停止，触摸屏幕无任何反应，连接ADB投屏，可以操作界面返回（鼠标右

键返回上一级界面，返回桌面），随后屏幕恢复，可正常点击，显示本次开机市场为11小时，monkey过程中未出现重启

【期望结果】

1.monkey正常运行，副屏无重启、死机现象

【中控版本号】：03.02.0080.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-25 17:56 - CD FW 曹覃刚

Hi 卿山

请帮忙检查下，下面的异常

bugreport中一直有youku和audioserver一直在不停的出现crash。

系统会dump crash的信息，会造成cpu和io占用比较高。

05-20 04:58:53.204 10051 19804 19804 E AndroidRuntime: FATAL EXCEPTION: main

05-20 04:58:53.204 10051 19804 19804 E AndroidRuntime: Process: com.thundercomm.screensaver, PID: 19804

05-20 04:58:53.204 10051 19804 19804 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 05:03:13.830 1041 30829 30829 F DEBUG : 

05-20 05:03:13.830 1041 30829 30829 F DEBUG : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'
05-20 05:03:13.830 1041 30829 30829 F DEBUG : Revision: '0'

05-20 05:03:13.830 1041 30829 30829 F DEBUG : ABI: 'arm'

05-20 05:03:13.830 1041 30829 30829 F DEBUG : Timestamp: 2023-05-20 05:03:13.448272214+0800

05-20 05:03:13.830 1041 30829 30829 F DEBUG : Process uptime: 0s

05-20 05:03:13.830 1041 30829 30829 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 05:03:13.830 1041 30829 30829 F DEBUG : pid: 29335, tid: 29335, name: audio.service >>> /vendor/bin/hw/android.hardware.audio.service <<<

05-20 05:03:13.830 1041 30829 30829 F DEBUG : uid: 1041

05-20 05:03:13.830 1041 30829 30829 F DEBUG : signal 35 (<debuggerd signal>), code 1 (SI_QUEUE from pid 29336, uid 1041), fault addr -------

05-20 05:03:13.830 1041 30829 30829 F DEBUG : r0 00000004 r1 c0306201 r2 fff89808 r3 fff8975c

05-20 05:03:13.830 1041 30829 30829 F DEBUG : r4 0f572bb6 r5 f0f1a138 r6 fff89808 r7 00000036

05-20 05:03:13.830 1041 30829 30829 F DEBUG : r8 00000000 r9 f0782c44 r10 fff89818 r11 fff89808

05-20 05:03:13.830 1041 30829 30829 F DEBUG : ip 00000100 sp fff89740 lr f0ec82cb pc f0efa5a8

05-20 05:03:13.830 1041 30829 30829 F DEBUG : backtrace:

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #00 pc 000715a8 /apex/com.android.runtime/lib/bionic/libc.so (_ioctl+8) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #01 pc 0003f2c7 /apex/com.android.runtime/lib/bionic/libc.so (ioctl+26) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #02 pc 0005ff09 /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::getAndExecuteCommand()+160) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #03 pc 0006100d /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::joinThreadPool(bool)+56) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #04 pc 000026b5 /vendor/bin/hw/android.hardware.audio.service (main+2564) (BuildId:

b5ba2845ffd2ad1c80c85239344b8c71)

05-20 05:03:13.830 1041 30829 30829 F DEBUG : #05 pc 0003248b /apex/com.android.runtime/lib/bionic/libc.so (_libc_init+54) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

05-20 05:03:14.098 1041 29336 29373 F libc : Fatal signal 6 (SIGABRT), code 1 (SI_QUEUE) in tid 29373 (TimeCheckThread), pid 29336 (audioserver)

05-20 05:03:15.694 1041 30856 30856 F DEBUG :

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Revision: '0'

05-20 05:03:15.694 1041 30856 30856 F DEBUG : ABI: 'arm64'

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Timestamp: 2023-05-20 05:03:14.211933203+0800

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Process uptime: 0s

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Cmdline: /system/bin/audioserver

05-20 05:03:15.694 1041 30856 30856 F DEBUG : pid: 29336, tid: 29373, name: TimeCheckThread >>> /system/bin/audioserver <<<

05-20 05:03:15.694 1041 30856 30856 F DEBUG : uid: 1041

05-20 05:03:15.694 1041 30856 30856 F DEBUG : signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr ------

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Abort message: 'TimeCheck timeout for IAudioFlinger command 1'

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x0 0000000000000000 x1 00000000000072bd x2 0000000000000006 x3 0000007bc030f530

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x4 6d686b456e686374 x5 6d686b456e686374 x6 6d686b456e686374 x7 7f7f7f7f7f7f7f7f

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x8 00000000000000f0 x9 e234de4b90e2afb1 x10 0000000000000000 x11 ffffff80ffffffdf

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x12 0000000000000001 x13 000000000000002e x14 0000007bc030f6c0 x15 0000000034155555

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x16 0000007ee7ed9060 x17 0000007ee7eb5560 x18 0000007bc00ae000 x19 0000000000007298

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x20 00000000000072bd x21 00000000ffffffff x22 b400007bfdcffb50 x23 b400007bddd09714

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x24 b400007bddd09714 x25 0000007bc030fcb0 x26 0000007bc030fff8 x27 00000000000fc000

05-20 05:03:15.694 1041 30856 30856 F DEBUG : x28 0000007bc0217000 x29 0000007bc030f5b0

05-20 05:03:15.694 1041 30856 30856 F DEBUG : lr 0000007ee7e6595c sp 0000007bc030f510 pc 0000007ee7e65988 pst 0000000000001000

05-20 05:03:15.694 1041 30856 30856 F DEBUG : backtrace:

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #00 pc 0000000000051988 /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #01 pc 00000000000063b8 /system/lib64/liblog.so (_android_log_default_aborter+16) (BuildId:

467c2038cdfa767245f9280e657fdb85)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #02 pc 0000000000006f14 /system/lib64/liblog.so (_android_log_assert+312) (BuildId:

467c2038cdfa767245f9280e657fdb85)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #03 pc 0000000000035294 /system/lib64/libmediautils.so (android::TimeCheck::TimeCheckThread::threadLoop()+908)

(BuildId: d1ac2ddd5dabaddcca37691821970832)
05-20 05:03:15.694 1041 30856 30856 F DEBUG : #04 pc 0000000000013654 /system/lib64/libutils.so (android::Thread::_threadLoop(void)+464) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #05 pc 0000000000012de8 /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #06 pc 00000000000b6a24 /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-20 05:03:15.694 1041 30856 30856 F DEBUG : #07 pc 00000000000532bc /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

Youku:

05-20 01:33:57.142 10105 32503 1430 F libc : Fatal signal 7 (SIGBUS), code 1 (BUS_ADRALN), fault addr 0xbca1c312 in tid 1430 (NativeThread), pid 32503

(com.youku.phone)

05-20 01:34:06.249 10105 1947 1947 F DEBUG : *

05-20 01:34:06.249 10105 1947 1947 F DEBUG : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-20 01:34:06.249 10105 1947 1947 F DEBUG : Revision: '0'

05-20 01:34:06.249 10105 1947 1947 F DEBUG : ABI: 'arm'

05-20 01:34:06.249 10105 1947 1947 F DEBUG : Timestamp: 2023-05-20 01:33:58.263847092+0800

05-20 01:34:06.250 10105 1947 1947 F DEBUG : Process uptime: 0s

05-20 01:34:06.250 10105 1947 1947 F DEBUG : Cmdline: com.youku.phone

05-20 01:34:06.250 10105 1947 1947 F DEBUG : pid: 32503, tid: 1430, name: NativeThread >>> com.youku.phone <<<

05-20 01:34:06.250 10105 1947 1947 F DEBUG : uid: 10105

05-20 01:34:06.250 10105 1947 1947 F DEBUG : signal 7 (SIGBUS), code 1 (BUS_ADRALN), fault addr 0xbca1c312

05-20 01:34:06.250 10105 1947 1947 F DEBUG : r0 b9eade70 r1 bca1c312 r2 00000000 r3 00000000

05-20 01:34:06.250 10105 1947 1947 F DEBUG : r4 b9eade70 r5 00000031 r6 b9eade90 r7 b9eaded0

05-20 01:34:06.250 10105 1947 1947 F DEBUG : r8 00000000 r9 f5181060 r10 00000000 r11 00000000

05-20 01:34:06.250 10105 1947 1947 F DEBUG : ip f207d1d0 sp b9eade48 lr f2a31ca7 pc f132065a

05-20 01:34:06.250 10105 1947 1947 F DEBUG : backtrace:

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #00 pc 0001465a /system/lib/libmediadrm.so (android::DrmHal::createPlugin(unsigned char const, android::String8

const&)+810) (BuildId: a09142dabde5c71f42cad8e0554d4644)

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #01 pc 00011e3d /system/lib/libmediandk.so (AMediaDrm_createByUUID+808) (BuildId:

61b96ce3f03e71f3fb954f85fb05b3e5)

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #02 pc 000a371f

/data/app/~~Xevg4M49I0VVCDVEtZ9vZA==/com.youku.phone-d_69SLwfiSP_Xrsb6688sg==/lib/arm/libsgmainso-6.5.15319409.so

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #03 pc 000a3d7b

/data/app/~~Xevg4M49I0VVCDVEtZ9vZA==/com.youku.phone-d_69SLwfiSP_Xrsb6688sg==/lib/arm/libsgmainso-6.5.15319409.so

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #04 pc 000ae788

/data/app/~~Xevg4M49I0VVCDVEtZ9vZA==/com.youku.phone-d_69SLwfiSP_Xrsb6688sg==/lib/arm/libsgmainso-6.5.15319409.so

05-20 02:20:34.762 1017 578 578 F libc : crash_dump helper failed to exec, or was killed

#2 - 2023-05-25 21:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

/vendor/bin/hw/android.hardware.audio.service和/system/bin/audioserver的crash的原因都是一致得.

其直接原因都是由于audioserver发送的binder指令无法得到响应导致.

相关的log如下:

Cmdline: /system/bin/audioserver
pid: 30882, tid: 30951, name: TimeCheckThread >>> /system/bin/audioserver <<<

uid: 1041

signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

Abort message: 'TimeCheck timeout for IAudioFlinger command 1'

这些binder指令无法得到响应主要是system died后导致的连锁反应.

具体可参考下边的log:

从22:30:40.015开始或甚至更早之前已经不停地报出DeadSystemException.

此时system应该处于died状态. 在这状态之前, audioserver, android.hardware.audio.service

以及别的一些指令长久没得到响应, 从而报了crash.

到05-20 08:20:43.157之后, system 重启完成, 之后就不存在这些crash了.

从此可以判断, system die了导致 audioserver, android.hardware.audio.service报出来的tombstone.

至于system为何died, 需要system组的同事帮忙分析.

05-19 21:06:00.280 10105 12009 12009 F DEBUG : Cmdline: com.youku.phone

05-19 21:06:19.873 10105 14350 14350 F DEBUG : Cmdline: com.youku.phone

...

//DeadSystemException, system died的log

05-19 22:30:40.015 10069 14524 14524 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-19 22:36:35.774 10035 31987 31987 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

05-19 23:09:51.689 10104 26862 26862 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

//android.hardware.audio.service和audioserver的binder指令堵塞, 长久没得到响应. 报出tombstone.

05-20 03:15:56.292 1041 8236 8236 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 03:15:57.336 1041 8248 8248 F DEBUG : Cmdline: /system/bin/audioserver

05-20 03:28:33.199 10071 27981 27981 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 04:23:19.146 1041 29318 29318 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 04:23:20.081 1041 29329 29329 F DEBUG : Cmdline: /system/bin/audioserver

05-20 04:58:53.204 10051 19804 19804 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 05:03:13.830 1041 30829 30829 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 05:03:15.694 1041 30856 30856 F DEBUG : Cmdline: /system/bin/audioserver

..

05-20 07:04:22.417 1041 22131 22131 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:04:23.813 1041 22164 22164 F DEBUG : Cmdline: /system/bin/audioserver

05-20 07:04:58.122 1041 22407 22407 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:04:59.016 1041 22420 22420 F DEBUG : Cmdline: /system/bin/audioserver

05-20 07:16:27.191 10107 26755 26755 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

//com.youku.phone crash

05-20 07:17:56.293 10105 30689 30689 F DEBUG : Cmdline: com.youku.phone

...

05-20 07:18:30.020 10092 27609 27609 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

05-20 07:53:24.121 10109 17137 17137 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:53:34.756 1000 11010 11010 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:14.703 10100 28707 28707 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:09.005 10071 27182 27182 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:17.405 10105 24568 24568 F DEBUG : Cmdline: com.youku.phone

05-20 07:58:14.171 1041 27316 27316 F DEBUG : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:58:15.643 1041 27335 27335 F DEBUG : Cmdline: /system/bin/audioserver

05-20 07:58:45.132 1041 27863 27863 F DEBUG : Cmdline: /system/bin/audioserver

05-20 07:59:03.805 10106 12560 12560 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:59:05.797 10101 10676 10676 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause
05-20 07:59:19.684 10107 13679 13679 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:08:29.836 10101 2542 2542 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:08:39.918 10087 24268 24268 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:09:27.374 10106 29837 29837 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:09:38.312 1000 24663 24663 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:13:45.068 10105 9617 9617 F DEBUG : Cmdline: com.youku.phone:channel

05-20 08:17:57.890 10071 2633 2633 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

05-20 08:20:40.824 10105 9956 15913 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

system 启动即将完成, 从此之后再没发现存在任何进程crash.

05-20 08:20:43.157 1000 16187 16187 I SystemServiceManager: Starting com.android.server.security.FileIntegrityService

05-20 08:20:43.165 1000 16187 16187 I SystemServiceManager: Starting com.android.server.pm.Installer

...

05-20 08:20:47.575 1000 16187 16251 I SystemServiceManager: Calling onUnlockedUser 0

05-20 08:20:42.686 1000 16187 16187 I system_server_start: [2,40658554,40658554]

2.Youku 出现crash的问题

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #00 pc 0001465a /system/lib/libmediadrm.so (android::DrmHal::createPlugin(unsigned char const, android::String8

const&)+810) (BuildId: a09142dabde5c71f42cad8e0554d4644)

05-20 01:34:06.250 10105 1947 1947 F DEBUG : #01 pc 00011e3d /system/lib/libmediandk.so (AMediaDrm_createByUUID+808) (BuildId:

61b96ce3f03e71f3fb954f85fb05b3e5)

从这部分来看，优酷都是因为drm的调用出现问题；

该部分需要security组分析，是否满足播放的条件。

#3 - 2023-05-26 13:59 - Multimedia组-RD3_TSCD 梁卿山

- File Screenshot_20230526-135805.png added

HI ALL

关于drm的内容；

请教了孙逊，

回复如下：

高合没有合入widewine相关的内容，从drminfo来看，也是没有信息的。

关于错误内容：

更详细地:

1. 崩溃发生在libc库中,由Fatal signal 7 (SIGBUS)引起。SIGBUS代表非法内存访问,通常由地址非对齐或访问不存在页引起。

2. 崩溃发生在tid 1430,代表com.youku.phone进程中的一个线程。

3. signal 7 (SIGBUS), code 1 (BUS_ADRALN)表示地址非对齐导致的非法访问。fault addr 0xbca1c312是导致崩溃的内存访问地址。

4. 根据调用堆栈,导致崩溃的内存访问发生在libmediadrm.so库的android::DrmHal::createPlugin函数中。

5. 进一步上溯,调用链开始于AMediaDrm_createByUUID,这是一个mediasdk函数,用于根据UUID创建解码器实例。

6. 最后调用链达到了libsgmainso-6.5.15319409.so库。这个库应该是Youku应用自定义的库。

所以,总结来说,此次Youku应用崩溃是由libsgmainso-6.5.15319409.so库中的某个函数导致的非法内存访问引起的。该函数通过调用链最终访问了一个非对齐

的内存地址0xbca1c312,导致SIGBUS信号和应用crash。

#4 - 2023-05-27 17:46 - CDTS-TEST 周婷

分析原因是因为我们软件里面不带DRM导致这个问题。
下一步Action就是：

1.确认为啥我们从日志看是没有DRM的？

确实DRM搭载是否正常？是不是被裁剪了？是的话为啥会被裁剪？

2.如果是按照计划裁剪的，那么这就不是一个BUG,是正常的。

3.如果不是按照计划裁剪的，是否就需要Security看一下drm。

4.同步确认，找DRM正常的版本再压测一下.如果是OK的，那就佐证了我们的分析.

-------------------------

我们没有定制过DRM，应该不支持。看看找个其他项目的带GMS的一般都支持，看看有没有问题

#5 - 2023-05-29 19:20 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前正在使用有DRM的平板安装youku后测试monkey。

#6 - 2023-05-30 10:40 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

其他平板测试结果：

优酷正常使用未出现drm的相关error，monkey测试也未出现youku crash。

下一步：

尝试在优酷调用drm之前做返回。

#7 - 2023-05-30 17:24 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前正在使用带patch的版本跑monkey测试youku。

#8 - 2023-05-31 16:06 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前patch测试，测试了一晚13h，未出现youku 的crash。

手动测试优酷播放，未出现播放的其他问题。

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/av/+/203399

下一步

再使用该VB继续进行monkey的压测，看是否会出现crash等。

#9 - 2023-05-31 16:14 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#10 - 2023-06-01 10:09 - Multimedia组-RD3_TSCD 梁卿山
Hi ALL

当前patch测试，测试了一晚13h，未出现youku 的crash。

手动测试优酷播放，未出现播放的其他问题。

下一步

将投入该patch。

#11 - 2023-06-01 18:44 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据TPM的建议，将会确认一下，是否修复有效；

1.加强化日志再跑测，

2.增加包名判断，缩小影响范围。

#12 - 2023-06-02 14:23 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

增加强化日志的版本正在测试优酷的monkey，

暂时还未复现问题，未看到日志的输出。

#13 - 2023-06-02 18:20 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

总结：

1.当前已经使用优酷跑monkey大概50个小时，未出之前的drm导致应用crash的墓碑，该问题复现率极低。

2.在当前的方案中，增加了的日志，优酷的各种相关播放下都没有出现，所以该方案的影响很小。

3.使用其他播放drm相关视频测试，发现在drm不支持的情况下，明确弹出了不支持的提示，所以优酷可能在drm不支持时没有做判断，导致了crash。

#14 - 2023-06-03 10:01 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前又测试了10个小时，未出现任何优酷因为drm crash的信息；

也没有相关强化日志的输出；

针对当前的复现情况，我们将建议采取以下方案；

1.将包名判断和调用返回的方案投入，并增加强化日志，

在后续如果依然复现该问题，可以根据日志进一步分析。

#15 - 2023-06-05 10:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203399 general/platform/frameworks/av Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

2025-07-04 7/8



MM: Audio: Fix Youku call drm crash issueFix Youku call drm crash issueTC-RID: 0301-0900116IssueID: TS-R-DF-118237Change-Id:

I00f0667637ba3061c758701bb7dcc69ebed03c48

#16 - 2023-06-05 13:48 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 在优酷调用drm时返回

HI 永红

该问题6月5日已经投入了规避方案，请在后面的monkey测试中，也加入优酷测试，谢谢！

#17 - 2023-08-22 10:35 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

1）youku crash的问题

audio组已经在子票118237中做了规避方案。

2）关于BufferQueueProducer::waitForFreeSlotThenRelock()等待的问题

起了高通case，高通通过google给了一个打印日志的patch，添加patch编译vb版本，测试并未复现相同问题。

3）monkey进程重复创建问题

目前做了一个规避方案，避免monkey进程重复创建，提交已经入库。

#18 - 2023-08-22 10:36 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files
